<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calculadora</title>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
</head>

<body>
    <div id="app">
        <div style="width: 400px; margin: auto;">
            <div
                style="border-top: 1px solid black;border-left: 1px solid black;border-right: 1px solid black; text-align: end;border-top-left-radius: 20px; border-top-right-radius: 20px;background-color: rgba(0, 0, 0, 0.836);">
                <div style="text-align: end; border-bottom: 1px solid black;height: 35px;"></div>
                <div style="background-color: rgba(0, 0, 0, 0.336); height: 50px;">
                    <span style="font-size: 38px;font-weight: bold;color: white;">
                        {{stringFunction()}}
                    </span>
                    <!-- <span style="color: white;"> = </span> -->
                    <span
                        style="margin-right: 8px;font-size: 38px;font-weight: bold; color: white;">{{resultado}}</span>
                </div>

            </div>
            <div>
                <button @click="clear()" style="color: grey;">C</button>
                <button @click="backSpace()" style="color: grey;">
                    <i class="material-icons">backspace</i>
                </button>
                <button @click="setString('%')" style="color: grey;">%</button>
                <button @click="setOperation('/')" style="color: orangered;">/</button>
            </div>
            <div>
                <button @click="setString(7)">7</button>
                <button @click="setString(8)">8</button>
                <button @click="setString(9)">9</button>
                <button @click="setOperation('x')" style="color: orangered;">x</button>
            </div>
            <div>
                <button @click="setString(4)">4</button>
                <button @click="setString(5)">5</button>
                <button @click="setString(6)">6</button>
                <button @click="setOperation('-')" style="color: orangered;">-</button>
            </div>
            <div>
                <button @click="setString(1)">1</button>
                <button @click="setString(2)">2</button>
                <button @click="setString(3)">3</button>
                <button @click="setOperation('+')" style="color: orangered;">+</button>
            </div>
            <div>
                <button style="border-bottom-left-radius: 20px;" @click="setString(0)">0</button>
                <button @click="setString('.')">.</button>
                <button style="color:  rgba(0, 0, 0, 0.0);">.</button>
                <button @click="setFunction()"
                    style="border-bottom-right-radius: 20px;background-color: orangered;">=</button>
            </div>
        </div>

    </div>

    <script>
        const { createApp } = Vue;
        createApp({
            data() {
                return {
                    Numero1: "",
                    Numero2: "",
                    operation: "",
                    operation2: "",
                    resultado: "",
                }
            },
            methods: {
                setString(str) {
                    if (this.resultado != "") {
                        this.resultado = ""
                    }

                    if (this.Numero1.length == 0 && str == '.') return

                    if (this.operation == "") {
                        if (this.Numero1.includes(".") && str == '.') return;

                        this.Numero1 += str;
                    } else {
                        if (this.Numero2.includes(".") && str == '.') return;

                        this.Numero2 += str;
                    }
                },
                setOperation(op) {
                    if (this.Numero1 == '') return;

                    this.operation = op;
                },
                stringFunction() {
                    return `${this.Numero1} ${this.operation} ${this.Numero2}`;
                },
                backSpace() {
                    if (this.Numero2 == '' && this.operation != '') return this.operation = '';
                    
                    if (this.operation == "") {
                        this.Numero1 = this.Numero1.substring(0, this.Numero1.length - 1);
                    } else {
                        this.Numero2 = this.Numero2.substring(0, this.Numero2.length - 1);
                    }
                },
                clear() {
                    if (this.Numero1 == "" && this.Numero2 == "" && this.operation == "") {
                        this.resultado = "";
                    }

                    this.Numero1 = "";
                    this.Numero2 = "";
                    this.operation = "";

                },
                setFunction() {
                    if (this.Numero1 == '' || this.Numero2 == '') return
                    this.convert();

                    if (this.operation == "+") {
                        this.somar();
                    } else if (this.operation == "-") {
                        this.subtrair();
                    } else if (this.operation == "/") {
                        this.dividir();
                    } else if (this.operation == "x") {
                        this.multiplicar();
                    }
                },
                convert() {
                    if (this.Numero1.includes(".")) {
                        if (!this.Numero1.includes("%")) {
                            this.Numero1 = parseFloat(this.Numero1);
                        } else {
                            this.Numero1 = parseFloat(this.Numero1) / 100;
                        }
                    } else {
                        if (!this.Numero1.includes("%")) {
                            this.Numero1 = parseInt(this.Numero1);
                        } else {
                            this.Numero1 = parseInt(this.Numero1) / 100;
                        }
                    }

                    if (this.Numero2.includes(".")) {
                        if (!this.Numero2.includes("%")) {
                            this.Numero2 = parseFloat(this.Numero2);
                        } else {
                            this.Numero2 = parseFloat(this.Numero2) / 100;
                        }
                    } else {
                        if (!this.Numero2.includes("%")) {
                            this.Numero2 = parseInt(this.Numero2);
                        } else {
                            this.Numero2 = parseInt(this.Numero2) / 100;
                        }
                    }
                },
                somar() {
                    this.resultado = this.Numero1 + this.Numero2;
                    this.clear();
                },
                subtrair() {
                    this.resultado = this.Numero1 - this.Numero2;
                    this.clear();
                },
                dividir() {
                    this.resultado = this.Numero1 / this.Numero2;
                    this.clear();
                },
                multiplicar() {
                    this.resultado = this.Numero1 * this.Numero2;
                    this.clear();
                },
            }
        }).mount("#app");
    </script>
</body>

</html>

<style>
    button {
        color: white;
        background-color: rgba(0, 0, 0, 0.836);
        border: 1px solid black;
        width: 100px;
        height: 80px;
        font-size: 38px;
        font-weight: bold;
    }
</style>